Subject: [E3-hacking] Adding the keyboard (mailboard) support

From: Janusz Krzysztofik <[email-masked]>
Date: Wed, 25 Nov 2009 03:27:27 +0100

Hi,

I have managed to refresh Matt's Amstrad Delta keyboard patch, created against 
linux-omap-2.6.16-omap2. Now it applies cleanly on top of curent linux-omap 
for-next, and seems to work flawlessly. I have also made some modifications 
in order to avoid breaking support for the hook switch that has been added 
recently (thanks to what you discovered about it a few years ago).

Matt (I hope you still read the e3-hacking list), don't you mind if I submit 
the modified patch to the linux-omap mailing list in order to get it included 
in the linux-omap tree first and then pushed into the mainline?

Jonathan, can you remember why the keyboard patch never found it's way into 
the linux-omap tree? If you know of any isues with it, I could try to solve 
them before submitting.

Thanks,
Janusz

---

From: Jonathan McDowell <[email-masked]>
Date: Thu, 26 Nov 2009 14:16:08 +0000

On Wed, Nov 25, 2009 at 03:27:27AM +0100, Janusz Krzysztofik wrote:
> I have managed to refresh Matt's Amstrad Delta keyboard patch, created
> against linux-omap-2.6.16-omap2. Now it applies cleanly on top of
> curent linux-omap for-next, and seems to work flawlessly. I have also
> made some modifications in order to avoid breaking support for the
> hook switch that has been added recently (thanks to what you
> discovered about it a few years ago).
> 
> Matt (I hope you still read the e3-hacking list), don't you mind if I
> submit the modified patch to the linux-omap mailing list in order to
> get it included in the linux-omap tree first and then pushed into the
> mainline?
> 
> Jonathan, can you remember why the keyboard patch never found it's way
> into the linux-omap tree? If you know of any isues with it, I could
> try to solve them before submitting.

My memory of it is that the issue was only when it was used with the
hook switch and I didn't push it towards the linux-omap tree as I'd done
nothing in terms of the patch creation. I don't remember any objections
to it.

J.

-- 
Web [ Is this real - that's the first thing I think every morning. ]
site: http:// [                                          ]       Made by
www.earth.li/~noodles/  [                      ]         HuggieTag 0.0.24

---

From: Janusz Krzysztofik <[email-masked]>
Date: Fri, 27 Nov 2009 00:33:03 +0100

> nothing in terms of the patch creation. I don't remember any objections

Good. I'll wait a little bit more for Matt if he is still there and submit the 
patch then.

Thanks,
Janusz

---

From: Matt Callow <[email-masked]>
Date: Sun, 29 Nov 2009 17:13:33 +1100

> in the linux-omap tree first and then pushed into the mainline?
Hi Janusz,

Glad to see someone still hacking the e3. I must dust mine off and try
the latest stuff. I'm happy for you to submit a modified keyboard
patch.

Matt

---

From: Janusz Krzysztofik <[email-masked]>
Date: Mon, 30 Nov 2009 14:46:34 +0100

> the latest stuff. I'm happy for you to submit a modified keyboard

Hi Matt,

Glad to hear from you. Thank you for your past efforts, I think those 
were worth of putting into the l-o tree. I hope I can manage to get them 
integrated.

Thanks,
Janusz